Get Order Details

Get Order Details.

Shows detailed information about an order.

{
    "success": boolean,
    "errors": [],
    "results": [
        {
            "orderNumber": "string",
            "orderChannelTypeId": integer,
            "orderStatusTypeId": integer,
            "orderDeliveryTypeId": integer,
            "isDirect": boolean,
            "isInternational": boolean,
            "orderedOn": "datetime",
            "modifiedOn": "datetime",
            "customer": {
                "token": "string",
                "firstName": "string",
                "lastName": "string",
                "email": "string",
                "shippingAddress": {
                    "firstName": "string",
                    "lastName": "string",
                    "address1": "string",
                    "address2": "string",
                    "city": "string",
                    "state": "string",
                    "postalCode": "string",
                    "country": "string"
                }
            },
            "orderValue": {
                "product": integer,
                "shipping": integer,
                "tax": decimal,
                "gross": decimal,
                "fees": decimal,
                "net": decimal
            }
        }
    ]
}
Path Params
string
required

Required. A unique key used to identify the caller of the API.

string
required

Required. A comma delimited list of order numbers for the orders being queried.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Response

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json